Index: loader/ixus65_sd630/makefile.inc.new
===================================================================
--- loader/ixus65_sd630/makefile.inc.new	(Revision 0)
+++ loader/ixus65_sd630/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/s5is/resetcode/makefile.inc.new
===================================================================
--- loader/s5is/resetcode/makefile.inc.new	(Revision 0)
+++ loader/s5is/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/s5is/makefile.inc.new
===================================================================
--- loader/s5is/makefile.inc.new	(Revision 0)
+++ loader/s5is/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus70_sd1000/resetcode/makefile.inc.new
===================================================================
--- loader/ixus70_sd1000/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus70_sd1000/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus70_sd1000/makefile.inc.new
===================================================================
--- loader/ixus70_sd1000/makefile.inc.new	(Revision 0)
+++ loader/ixus70_sd1000/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus80_sd1100/resetcode/makefile.inc.new
===================================================================
--- loader/ixus80_sd1100/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus80_sd1100/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus80_sd1100/makefile.inc.new
===================================================================
--- loader/ixus80_sd1100/makefile.inc.new	(Revision 0)
+++ loader/ixus80_sd1100/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixusW_sd430/resetcode/makefile.inc.new
===================================================================
--- loader/ixusW_sd430/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixusW_sd430/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixusW_sd430/makefile.inc.new
===================================================================
--- loader/ixusW_sd430/makefile.inc.new	(Revision 0)
+++ loader/ixusW_sd430/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus850_sd800/resetcode/makefile.inc.new
===================================================================
--- loader/ixus850_sd800/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus850_sd800/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus850_sd800/makefile.inc.new
===================================================================
--- loader/ixus850_sd800/makefile.inc.new	(Revision 0)
+++ loader/ixus850_sd800/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus40_sd300/resetcode/makefile.inc.new
===================================================================
--- loader/ixus40_sd300/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus40_sd300/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus40_sd300/makefile.inc.new
===================================================================
--- loader/ixus40_sd300/makefile.inc.new	(Revision 0)
+++ loader/ixus40_sd300/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a700/resetcode/makefile.inc.new
===================================================================
--- loader/a700/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a700/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a700/makefile.inc.new
===================================================================
--- loader/a700/makefile.inc.new	(Revision 0)
+++ loader/a700/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a620/resetcode/makefile.inc.new
===================================================================
--- loader/a620/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a620/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a620/makefile.inc.new
===================================================================
--- loader/a620/makefile.inc.new	(Revision 0)
+++ loader/a620/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a540/resetcode/makefile.inc.new
===================================================================
--- loader/a540/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a540/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a540/makefile.inc.new
===================================================================
--- loader/a540/makefile.inc.new	(Revision 0)
+++ loader/a540/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a720/resetcode/makefile.inc.new
===================================================================
--- loader/a720/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a720/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a720/makefile.inc.new
===================================================================
--- loader/a720/makefile.inc.new	(Revision 0)
+++ loader/a720/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/makefile_resetcode.inc.new
===================================================================
--- loader/makefile_resetcode.inc.new	(Revision 0)
+++ loader/makefile_resetcode.inc.new	(Revision 0)
@@ -0,0 +1,32 @@
+
+# warning: library order matters!
+LDLIBS:=
+LDOPTS:=-nostdlib -Wl,--allow-shlib-undefined -Wl,--no-define-common,-EL,-T,$(topdir)tools/link-boot.ld
+LDOPTS+=-Wl,-N,-Ttext,$(RESTARTSTART)
+
+subdir:=$(subdir)
+
+ASM_OBJS:=entry.o
+C_OBJS:=main.o
+C_OBJS:=$(call subdirize, $(C_OBJS) )
+ASM_OBJS:=$(call subdirize, $(ASM_OBJS) )
+OBJS:=$(ASM_OBJS) $(C_OBJS)
+
+$(eval $(call compile-asm-targets, $(ASM_OBJS),,))
+$(eval $(call compile-targets, $(C_OBJS),,))
+
+$(eval $(call gen-rule, $(subdir)/resetcode-main.bin, $(subdir)/main.elf, \
+	$(OBJDUMP) -z -d $(subdir)/main.elf > $(subdir)/main.dump; \
+	$(OBJCOPY) -O binary $(subdir)/main.elf $(subdir)/resetcode-main.bin ) )
+
+$(eval $(call gen-rule, $(subdir)/main.elf, $(OBJS), \
+	$(CC) $(CFLAGS) -o $(subdir)/main.elf $(OBJS) $(LDLIBS) $(LDFLAGS) $(LDOPTS); \
+	( $(NM) $(subdir)/main.elf | grep ' U ' > $(subdir)/main.elf.syms ) && exit 1 || exit 0 ) )
+
+$(eval $(call gen-rule, resetcode-$(PLATFORM)-loader-clean,, \
+	$(SILENCE)rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/resetcode-main.bin $(subdir)/main.elf $(subdir)/main.dump $(subdir)/main.elf.syms ) )
+
+$(eval $(call gen-rule, resetcode-$(PLATFORM)-loader-distclean,, \
+	$(SILENCE)rm -f $(OBJS) $(subdir)/resetcode-main.bin $(subdir)/main.elf $(subdir)/main.dump $(subdir)/main.elf.syms ))
+
+# vim: ft=make
Index: loader/a640/resetcode/makefile.inc.new
===================================================================
--- loader/a640/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a640/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a640/makefile.inc.new
===================================================================
--- loader/a640/makefile.inc.new	(Revision 0)
+++ loader/a640/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a460/resetcode/makefile.inc.new
===================================================================
--- loader/a460/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a460/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a460/makefile.inc.new
===================================================================
--- loader/a460/makefile.inc.new	(Revision 0)
+++ loader/a460/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus60_sd600/resetcode/makefile.inc.new
===================================================================
--- loader/ixus60_sd600/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus60_sd600/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus60_sd600/makefile.inc.new
===================================================================
--- loader/ixus60_sd600/makefile.inc.new	(Revision 0)
+++ loader/ixus60_sd600/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/s80/resetcode/makefile.inc.new
===================================================================
--- loader/s80/resetcode/makefile.inc.new	(Revision 0)
+++ loader/s80/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/s80/makefile.inc.new
===================================================================
--- loader/s80/makefile.inc.new	(Revision 0)
+++ loader/s80/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a560/resetcode/makefile.inc.new
===================================================================
--- loader/a560/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a560/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a560/makefile.inc.new
===================================================================
--- loader/a560/makefile.inc.new	(Revision 0)
+++ loader/a560/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus860_sd870/resetcode/makefile.inc.new
===================================================================
--- loader/ixus860_sd870/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus860_sd870/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus860_sd870/makefile.inc.new
===================================================================
--- loader/ixus860_sd870/makefile.inc.new	(Revision 0)
+++ loader/ixus860_sd870/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus960_sd950/resetcode/makefile.inc.new
===================================================================
--- loader/ixus960_sd950/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus960_sd950/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus960_sd950/makefile.inc.new
===================================================================
--- loader/ixus960_sd950/makefile.inc.new	(Revision 0)
+++ loader/ixus960_sd950/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/tx1/resetcode/makefile.inc.new
===================================================================
--- loader/tx1/resetcode/makefile.inc.new	(Revision 0)
+++ loader/tx1/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/tx1/makefile.inc.new
===================================================================
--- loader/tx1/makefile.inc.new	(Revision 0)
+++ loader/tx1/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus55_sd450/resetcode/makefile.inc.new
===================================================================
--- loader/ixus55_sd450/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus55_sd450/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus55_sd450/makefile.inc.new
===================================================================
--- loader/ixus55_sd450/makefile.inc.new	(Revision 0)
+++ loader/ixus55_sd450/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus75_sd750/resetcode/makefile.inc.new
===================================================================
--- loader/ixus75_sd750/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus75_sd750/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus75_sd750/makefile.inc.new
===================================================================
--- loader/ixus75_sd750/makefile.inc.new	(Revision 0)
+++ loader/ixus75_sd750/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus700_sd500/resetcode/makefile.inc.new
===================================================================
--- loader/ixus700_sd500/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus700_sd500/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus700_sd500/makefile.inc.new
===================================================================
--- loader/ixus700_sd500/makefile.inc.new	(Revision 0)
+++ loader/ixus700_sd500/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus800_sd700/resetcode/makefile.inc.new
===================================================================
--- loader/ixus800_sd700/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus800_sd700/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus800_sd700/makefile.inc.new
===================================================================
--- loader/ixus800_sd700/makefile.inc.new	(Revision 0)
+++ loader/ixus800_sd700/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixusizoom_sd30/resetcode/makefile.inc.new
===================================================================
--- loader/ixusizoom_sd30/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixusizoom_sd30/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixusizoom_sd30/makefile.inc.new
===================================================================
--- loader/ixusizoom_sd30/makefile.inc.new	(Revision 0)
+++ loader/ixusizoom_sd30/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus750_sd550/resetcode/makefile.inc.new
===================================================================
--- loader/ixus750_sd550/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus750_sd550/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus750_sd550/makefile.inc.new
===================================================================
--- loader/ixus750_sd550/makefile.inc.new	(Revision 0)
+++ loader/ixus750_sd550/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a610/resetcode/makefile.inc.new
===================================================================
--- loader/a610/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a610/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a610/makefile.inc.new
===================================================================
--- loader/a610/makefile.inc.new	(Revision 0)
+++ loader/a610/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/sx100is/resetcode/makefile.inc.new
===================================================================
--- loader/sx100is/resetcode/makefile.inc.new	(Revision 0)
+++ loader/sx100is/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/sx100is/makefile.inc.new
===================================================================
--- loader/sx100is/makefile.inc.new	(Revision 0)
+++ loader/sx100is/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus50_sd400/resetcode/makefile.inc.new
===================================================================
--- loader/ixus50_sd400/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus50_sd400/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus50_sd400/makefile.inc.new
===================================================================
--- loader/ixus50_sd400/makefile.inc.new	(Revision 0)
+++ loader/ixus50_sd400/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a530/resetcode/makefile.inc.new
===================================================================
--- loader/a530/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a530/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a530/makefile.inc.new
===================================================================
--- loader/a530/makefile.inc.new	(Revision 0)
+++ loader/a530/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a710/resetcode/makefile.inc.new
===================================================================
--- loader/a710/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a710/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a710/makefile.inc.new
===================================================================
--- loader/a710/makefile.inc.new	(Revision 0)
+++ loader/a710/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a450/resetcode/makefile.inc.new
===================================================================
--- loader/a450/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a450/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a450/makefile.inc.new
===================================================================
--- loader/a450/makefile.inc.new	(Revision 0)
+++ loader/a450/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/ixus950_sd850/main.c
===================================================================
--- loader/ixus950_sd850/main.c	(Revision 727)
+++ loader/ixus950_sd850/main.c	(Arbeitskopie)
@@ -11,7 +11,7 @@
 void __attribute__((noreturn)) my_restart() 
 {
     void __attribute__((noreturn)) (*copy_and_restart)(char *dst, char *src, long length);
-    int i;
+    unsigned int i;
 
     for (i=0;i<(blob_copy_and_reset_size/sizeof(long));i++){
 	((long*)(RESTARTSTART))[i] = blob_copy_and_reset[i];
Index: loader/ixus950_sd850/resetcode/makefile.inc.new
===================================================================
--- loader/ixus950_sd850/resetcode/makefile.inc.new	(Revision 0)
+++ loader/ixus950_sd850/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/ixus950_sd850/makefile.inc.new
===================================================================
--- loader/ixus950_sd850/makefile.inc.new	(Revision 0)
+++ loader/ixus950_sd850/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a630/resetcode/makefile.inc.new
===================================================================
--- loader/a630/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a630/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a630/makefile.inc.new
===================================================================
--- loader/a630/makefile.inc.new	(Revision 0)
+++ loader/a630/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/makefile_generic.inc.new
===================================================================
--- loader/makefile_generic.inc.new	(Revision 0)
+++ loader/makefile_generic.inc.new	(Revision 0)
@@ -0,0 +1,46 @@
+
+
+
+
+LDLIBS=
+LOADER_LDOPTS:=-nostdlib -Wl,--allow-shlib-undefined -Wl,--no-define-common,-EL,-T,$(TOPDIR)/tools/link-boot.ld
+LOADER_LDOPTS+=-Wl,-N,-Ttext,$(MEMBASEADDR)
+
+LOCAL_CFLAGS:=-I.
+
+CORE_FILE:=$(TOPDIR)/core/main.bin
+RESET_FILE:=$(subdir)/resetcode/resetcode-main.bin
+
+LOCAL_CFLAGS+=-DCORE_FILE=\"$(CORE_FILE)\"
+LOCAL_CFLAGS+=-DRESET_FILE=\"$(RESET_FILE)\"
+
+$(eval $(call gen-rule, $(subdir)/main.bin, loader-main.bin, ))
+
+ASM_OBJS :=entry.o blobs.o
+C_OBJS := main.o 
+
+ASM_OBJS:=$(call subdirize,$(ASM_OBJS) )
+C_OBJS:=$(call subdirize,$(C_OBJS) )
+
+$(eval $(call compile-asm-targets, $(ASM_OBJS) , $(LOCAL_CFLAGS), $(RESET_FILE) $(CORE_FILE) ) ) 
+$(eval $(call compile-targets, $(C_OBJS) , $(LOCAL_CFLAGS) ) )
+
+
+OBJS:=$(ASM_OBJS) $(C_OBJS)
+
+$(eval $(call gen-rule, loader-main.bin, loader-main.elf, \
+	$(OBJDUMP) -z -d $(subdir)/loader-main.elf > $(subdir)/loader-main.dump; \
+	$(OBJCOPY) -O binary $(subdir)/loader-main.elf $(subdir)/loader-main.bin ))
+
+$(eval $(call gen-rule, loader-main.elf, $(OBJS), \
+	$(SILENCE)$(CC) $(CFLAGS) -o $(subdir)/loader-main.elf $(OBJS) $(LDLIBS) $(LDFLAGS) $(LOADER_LDOPTS); \
+	( $(NM) $(subdir)/loader-main.elf | grep ' U ' > $(subdir)/loader-main.elf.syms ) && exit 1 || exit 0 ) )
+
+$(eval $(call gen-rule, $(PLATFORM)-loader-clean, resetcode-$(PLATFORM)-loader-clean, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/loader-main.bin $(subdir)/loader-main.elf $(subdir)/loader-main.dump $(subdir)/main.elf.syms))
+
+$(eval $(call gen-rule, $(PLATFORM)-loader-distclean, resetcode-$(PLATFORM)-loader-distclean loader-clean, rm -f reboot_core.h copy_and_reset.h ))
+
+LOCAL_SUBDIRS:=$(subdir)/resetcode
+$(foreach subdir,$(LOCAL_SUBDIRS),$(eval include $(subdir)/makefile.inc.new) )
+
+# vim: ft=make
Index: loader/a550/resetcode/makefile.inc.new
===================================================================
--- loader/a550/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a550/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a550/makefile.inc.new
===================================================================
--- loader/a550/makefile.inc.new	(Revision 0)
+++ loader/a550/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a650/resetcode/makefile.inc.new
===================================================================
--- loader/a650/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a650/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a650/makefile.inc.new
===================================================================
--- loader/a650/makefile.inc.new	(Revision 0)
+++ loader/a650/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/a570/resetcode/makefile.inc.new
===================================================================
--- loader/a570/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a570/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a570/makefile.inc.new
===================================================================
--- loader/a570/makefile.inc.new	(Revision 0)
+++ loader/a570/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/g7/resetcode/makefile.inc.new
===================================================================
--- loader/g7/resetcode/makefile.inc.new	(Revision 0)
+++ loader/g7/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/g7/makefile.inc.new
===================================================================
--- loader/g7/makefile.inc.new	(Revision 0)
+++ loader/g7/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/makefile.inc.new
===================================================================
--- loader/makefile.inc.new	(Revision 0)
+++ loader/makefile.inc.new	(Revision 0)
@@ -0,0 +1,16 @@
+
+
+
+LOCAL_SUBDIRS:=$(PLATFORM)
+
+$(eval $(call gen-rule, loader-clean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-loader-clean), ))
+
+$(eval $(call gen-rule, loader-distclean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-loader-distclean), ))
+
+LOCAL_SUBDIRS:=$(call subdirize,$(LOCAL_SUBDIRS) )
+
+$(foreach subdir,$(LOCAL_SUBDIRS),$(eval include $(subdir)/makefile.inc.new) )
+
+# vim: ft=make
+
+
Index: loader/a590/resetcode/makefile.inc.new
===================================================================
--- loader/a590/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a590/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a590/makefile.inc.new
===================================================================
--- loader/a590/makefile.inc.new	(Revision 0)
+++ loader/a590/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: lib/lang/makefile.inc.new
===================================================================
--- lib/lang/makefile.inc.new	(Revision 0)
+++ lib/lang/makefile.inc.new	(Revision 0)
@@ -0,0 +1,17 @@
+
+LOCAL_CFLAGS:=$(CTHUMB)
+
+OBJS := lang.o
+OBJS := $(call subdirize, $(OBJS) )
+
+$(eval $(call compile-targets,$(OBJS),$(LOCAL_CFLAGS)))
+
+$(eval $(call ar-targets, liblang.a, $(OBJS) ))
+
+$(eval $(call gen-rule, lang-lib-clean,, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/liblang.a))
+
+lang-lib-distclean: lang-lib-clean
+	rm -f $(OBJS:.o=.d)
+
+# vim: ft=make
+
Index: lib/lua/liolib.c
===================================================================
--- lib/lua/liolib.c	(Revision 727)
+++ lib/lua/liolib.c	(Arbeitskopie)
@@ -497,7 +497,7 @@
     else {
       size_t l;
       const char *s = luaL_checklstring(L, arg, &l);
-      status = status && (fwrite(s, sizeof(char), l, f) == l);
+      status = status && (fwrite(s, sizeof(char), l, f) == (long)l);
     }
   }
   return pushresult(L, status, NULL);
Index: lib/lua/makefile.inc.new
===================================================================
--- lib/lua/makefile.inc.new	(Revision 0)
+++ lib/lua/makefile.inc.new	(Revision 0)
@@ -0,0 +1,46 @@
+
+
+LOCAL_CFLAGS := $(CTHUMB) -DSTDIO_COMPAT_FILE -DFS_USE_FUT
+
+LUA_OPTLIB_OBJS:=
+
+ifdef OPT_LUA_IOLIB
+LOCAL_CFLAGS+=-DOPT_LUA_IOLIB
+LUA_OPTLIB_OBJS+=liolib.o
+endif
+
+ifdef OPT_LUA_OSLIB
+LOCAL_CFLAGS+=-DOPT_LUA_OSLIB
+LUA_OPTLIB_OBJS+=loslib.o
+endif
+
+ifdef OPT_LUA_STRLIB
+LOCAL_CFLAGS+=-DOPT_LUA_STRLIB
+LUA_OPTLIB_OBJS+=lstrlib.o
+endif
+
+ASM_OBJS := setjmp.o
+
+C_OBJS := \
+       lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
+       lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o \
+       lundump.o lvm.o lzio.o \
+       \
+       lauxlib.o lbaselib.o ldblib.o ltablib.o lmathlib.o \
+	   $(LUA_OPTLIB_OBJS) loadlib.o linit.o
+
+OBJS := $(call subdirize,$(ASM_OBJS) $(C_OBJS) )
+C_OBJS := $(call subdirize,$(C_OBJS) )
+ASM_OBJS := $(call subdirize,$(ASM_OBJS) )
+
+$(eval $(call compile-targets,$(C_OBJS),$(LOCAL_CFLAGS)))
+$(eval $(call compile-asm-targets,$(ASM_OBJS),$(LOCAL_CFLAGS)))
+
+
+$(eval $(call ar-targets, liblua.a, $(OBJS)))
+
+$(eval $(call gen-rule, lua-lib-clean,, rm -f $(OBJS) $(subdir)/*.$(DEPSUFFIX) $(subdir)/liblua.a ))
+
+$(eval $(call gen-rule, lua-lib-distclean, lua-lib-clean, rm -f $(OBJS:.o=.d)))
+
+# vim: filetype=make
